<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__scb__common_8c" kind="file" language="C++">
    <compoundname>cy_scb_common.c</compoundname>
    <includes local="yes" refid="cy__scb__common_8h">cy_scb_common.h</includes>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cy__scb__common_8c_1aac29fbd684f205b08ca88f1509187f52" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_ReadArrayNoCheck</definition>
        <argsstring>(CySCB_Type const *base, void *buffer, uint32_t size)</argsstring>
        <name>Cy_SCB_ReadArrayNoCheck</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>buffer</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Reads an array of data out of the SCB receive FIFO without checking if the receive FIFO has enough data elements. </para>        </briefdescription>
        <detaileddescription>
<para>Before calling this function, make sure that the receive FIFO has enough data elements to be read.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to location to place data read from the receive FIFO. The size of the data element defined by the configured data width.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of data elements read from the receive FIFO. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="77" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" bodystart="53" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" line="53" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__scb__common_8c_1a23536de6b074b57168b16ef489ef5e3d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SCB_ReadArray</definition>
        <argsstring>(CySCB_Type const *base, void *buffer, uint32_t size)</argsstring>
        <name>Cy_SCB_ReadArray</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>buffer</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Reads an array of data out of the SCB receive FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>This function does not block; it returns how many data elements are read from the receive FIFO.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to location to place data read from receive FIFO. The item size is defined by the data type, which depends on the configured data width.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of data elements to read from the receive FIFO.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The number of data elements read from the receive FIFO. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="118" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" bodystart="103" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" line="103" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__scb__common_8c_1ab943321b1c8f26e97bf676bb6c5d473d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_ReadArrayBlocking</definition>
        <argsstring>(CySCB_Type const *base, void *buffer, uint32_t size)</argsstring>
        <name>Cy_SCB_ReadArrayBlocking</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>buffer</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Reads an array of data out of the SCB receive FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>This function blocks until the number of data elements specified by the size has been read from the receive FIFO.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the location to place data read from the receive FIFO. The item size is defined by the data type, which depends on the configured data width.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of data elements to read from receive FIFO. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="155" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" bodystart="141" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" line="141" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__scb__common_8c_1abe1e677bc614ccfa3ed16eb5e32d503a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SCB_Write</definition>
        <argsstring>(CySCB_Type *base, uint32_t data)</argsstring>
        <name>Cy_SCB_Write</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>data</declname>
        </param>
        <briefdescription>
<para>Places a single data element in the SCB transmit FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>This function does not block. It returns how many data elements are placed in the transmit FIFO.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data</parametername>
</parameternamelist>
<parameterdescription>
<para>Data to put in the transmit FIFO. The item size is defined by the data type, which depends on the configured data width.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The number of data elements placed in the transmit FIFO: 0 or 1. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="190" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" bodystart="178" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" line="178" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__scb__common_8c_1ab3c9d1c9afca925f399993437dade31a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_WriteArrayNoCheck</definition>
        <argsstring>(CySCB_Type *base, void *buffer, uint32_t size)</argsstring>
        <name>Cy_SCB_WriteArrayNoCheck</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>buffer</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Places an array of data in the SCB transmit FIFO without checking whether the transmit FIFO has enough space. </para>        </briefdescription>
        <detaileddescription>
<para>Before calling this function, make sure that the transmit FIFO has enough space to put all requested data elements.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to data to place in the transmit FIFO. The item size is defined by the data type, which depends on the configured TX data width.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of data elements to transmit.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The number of data elements placed in the transmit FIFO. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="241" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" bodystart="217" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" line="217" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__scb__common_8c_1ae8e77b5982423a81434f87610b3787b4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SCB_WriteArray</definition>
        <argsstring>(CySCB_Type *base, void *buffer, uint32_t size)</argsstring>
        <name>Cy_SCB_WriteArray</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>buffer</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Places an array of data in the SCB transmit FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>This function does not block. It returns how many data elements were placed in the transmit FIFO.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to data to place in the transmit FIFO. The item size is defined by the data type which depends on the configured TX data width.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of data elements to transmit.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The number of data elements placed in the transmit FIFO. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="281" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" bodystart="267" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" line="267" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__scb__common_8c_1aa9b1ac77557971d94269ee45f7601a5d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_WriteArrayBlocking</definition>
        <argsstring>(CySCB_Type *base, void *buffer, uint32_t size)</argsstring>
        <name>Cy_SCB_WriteArrayBlocking</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>buffer</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Places an array of data in the transmit FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>This function blocks until the number of data elements specified by the size is placed in the transmit FIFO.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>buffer</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to data to place in transmit FIFO. The item size is defined by the data type, which depends on the configured data width.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of data elements to write into the transmit FIFO. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="318" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" bodystart="304" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" line="304" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__scb__common_8c_1a29c9c38aa14710ce7e4296c74200127e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_WriteString</definition>
        <argsstring>(CySCB_Type *base, char_t const string[])</argsstring>
        <name>Cy_SCB_WriteString</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__syslib__macros_1ga40bb5262bf908c328fbcfbe5d29d0201">char_t</ref> const</type>
          <declname>string</declname>
          <array>[]</array>
        </param>
        <briefdescription>
<para>Places a NULL terminated string in the transmit FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>This function blocks until the entire string is placed in the transmit FIFO.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>string</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the null terminated string array. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="351" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" bodystart="335" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" line="335" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__scb__common_8c_1ad7c2e4b65876066c5f205d837382907b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SCB_WriteDefaultArrayNoCheck</definition>
        <argsstring>(CySCB_Type *base, uint32_t txData, uint32_t size)</argsstring>
        <name>Cy_SCB_WriteDefaultArrayNoCheck</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>txData</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Places a number of the same data elements in the SCB transmit FIFO without checking whether the transmit FIFO has enough space. </para>        </briefdescription>
        <detaileddescription>
<para>The data elements is equal to txData parameter. Before calling this function, make sure that transmit FIFO has enough space to put all requested data elements.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>txData</parametername>
</parameternamelist>
<parameterdescription>
<para>The data element to transmit repeatedly.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of data elements to transmit. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="381" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" bodystart="374" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" line="374" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__scb__common_8c_1a949599e9bdfbdf6935de85b1a5c457c9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SCB_WriteDefaultArray</definition>
        <argsstring>(CySCB_Type *base, uint32_t txData, uint32_t size)</argsstring>
        <name>Cy_SCB_WriteDefaultArray</name>
        <param>
          <type><ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>txData</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Places a number of the same data elements in the SCB transmit FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>The data elements is equal to the txData parameter.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the SCB instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>txData</parametername>
</parameternamelist>
<parameterdescription>
<para>The data element to transmit repeatedly.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of data elements to transmit.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The number of data elements placed in the transmit FIFO. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="418" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" bodystart="404" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" line="404" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>2.50</para></simplesect>
Provides common API implementation of the SCB driver.</para><para><simplesect kind="copyright"><para>Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="25"><highlight class="preprocessor">#include<sp />"cy_scb_common.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />CY_IP_MXSCB</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="34"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SCB_ReadArrayNoCheck</highlight></codeline>
<codeline lineno="35"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="53"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_SCB_ReadArrayNoCheck(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*base,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*buffer,<sp />uint32_t<sp />size)</highlight></codeline>
<codeline lineno="54"><highlight class="normal">{</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />idx;</highlight></codeline>
<codeline lineno="56"><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(Cy_SCB_IsRxDataWidthByte(base))</highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*buf<sp />=<sp />(uint8_t<sp />*)<sp />buffer;</highlight></codeline>
<codeline lineno="60"><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />data<sp />available<sp />in<sp />RX<sp />FIFO<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />(idx<sp />=<sp />0UL;<sp />idx<sp />&lt;<sp />size;<sp />++idx)</highlight></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />buf[idx]<sp />=<sp />(uint8_t)<sp /><ref kindref="member" refid="group__group__scb__common__functions_1ga4cc4a30079873628f3e57ecff7c20791">Cy_SCB_ReadRxFifo</ref>(base);</highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />*buf<sp />=<sp />(uint16_t<sp />*)<sp />buffer;</highlight></codeline>
<codeline lineno="70"><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />data<sp />available<sp />in<sp />RX<sp />FIFO<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />(idx<sp />=<sp />0UL;<sp />idx<sp />&lt;<sp />size;<sp />++idx)</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />buf[idx]<sp />=<sp />(uint16_t)<sp /><ref kindref="member" refid="group__group__scb__common__functions_1ga4cc4a30079873628f3e57ecff7c20791">Cy_SCB_ReadRxFifo</ref>(base);</highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="77"><highlight class="normal">}</highlight></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="81"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SCB_ReadArray</highlight></codeline>
<codeline lineno="82"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="103"><highlight class="normal">uint32_t<sp />Cy_SCB_ReadArray(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*base,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*buffer,<sp />uint32_t<sp />size)</highlight></codeline>
<codeline lineno="104"><highlight class="normal">{</highlight></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />available<sp />items<sp />in<sp />RX<sp />FIFO<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />numToCopy<sp />=<sp /><ref kindref="member" refid="group__group__scb__common__functions_1ga609852206a4ebd6e375bfadccc1309d1">Cy_SCB_GetNumInRxFifo</ref>(base);</highlight></codeline>
<codeline lineno="107"><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Adjust<sp />items<sp />that<sp />will<sp />be<sp />read<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(numToCopy<sp />&gt;<sp />size)</highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />numToCopy<sp />=<sp />size;</highlight></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="113"><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />data<sp />available<sp />in<sp />RX<sp />FIFO<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_SCB_ReadArrayNoCheck(base,<sp />buffer,<sp />numToCopy);</highlight></codeline>
<codeline lineno="116"><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(numToCopy);</highlight></codeline>
<codeline lineno="118"><highlight class="normal">}</highlight></codeline>
<codeline lineno="119"><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="122"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SCB_ReadArrayBlocking</highlight></codeline>
<codeline lineno="123"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="141"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_SCB_ReadArrayBlocking(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*base,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*buffer,<sp />uint32_t<sp />size)</highlight></codeline>
<codeline lineno="142"><highlight class="normal">{</highlight></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />numCopied;</highlight></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />*buf<sp />=<sp />(uint8_t<sp />*)<sp />buffer;</highlight></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp />byteMode<sp />=<sp />Cy_SCB_IsRxDataWidthByte(base);</highlight></codeline>
<codeline lineno="146"><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />data<sp />from<sp />RX<sp />FIFO.<sp />Stop<sp />when<sp />the<sp />requested<sp />size<sp />is<sp />read.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />(size<sp />&gt;<sp />0UL)</highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />numCopied<sp />=<sp />Cy_SCB_ReadArray(base,<sp />(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*)<sp />buf,<sp />size);</highlight></codeline>
<codeline lineno="151"><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />buf<sp />=<sp />&amp;buf[(byteMode<sp />?<sp />(numCopied)<sp />:<sp />(2UL<sp />*<sp />numCopied))];</highlight></codeline>
<codeline lineno="153"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />size<sp />-=<sp />numCopied;</highlight></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="155"><highlight class="normal">}</highlight></codeline>
<codeline lineno="156"><highlight class="normal" /></codeline>
<codeline lineno="157"><highlight class="normal" /></codeline>
<codeline lineno="158"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="159"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SCB_Write</highlight></codeline>
<codeline lineno="160"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="178"><highlight class="normal">uint32_t<sp />Cy_SCB_Write(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp />*base,<sp />uint32_t<sp />data)</highlight></codeline>
<codeline lineno="179"><highlight class="normal">{</highlight></codeline>
<codeline lineno="180"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />numCopied<sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="181"><highlight class="normal" /></codeline>
<codeline lineno="182"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(Cy_SCB_GetFifoSize(base)<sp />!=<sp /><ref kindref="member" refid="group__group__scb__common__functions_1ga63f43347a32c0c4c27f11a9b3fa448c2">Cy_SCB_GetNumInTxFifo</ref>(base))</highlight></codeline>
<codeline lineno="183"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="184"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__scb__common__functions_1gab8c63a539a502984525706e94b9969d3">Cy_SCB_WriteTxFifo</ref>(base,<sp />data);</highlight></codeline>
<codeline lineno="185"><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />numCopied<sp />=<sp />1UL;</highlight></codeline>
<codeline lineno="187"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="188"><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(numCopied);</highlight></codeline>
<codeline lineno="190"><highlight class="normal">}</highlight></codeline>
<codeline lineno="191"><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="normal" /></codeline>
<codeline lineno="193"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="194"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SCB_WriteArrayNoCheck</highlight></codeline>
<codeline lineno="195"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="217"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_SCB_WriteArrayNoCheck(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp />*base,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*buffer,<sp />uint32_t<sp />size)</highlight></codeline>
<codeline lineno="218"><highlight class="normal">{</highlight></codeline>
<codeline lineno="219"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />idx;</highlight></codeline>
<codeline lineno="220"><highlight class="normal" /></codeline>
<codeline lineno="221"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(Cy_SCB_IsTxDataWidthByte(base))</highlight></codeline>
<codeline lineno="222"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="223"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*buf<sp />=<sp />(uint8_t<sp />*)<sp />buffer;</highlight></codeline>
<codeline lineno="224"><highlight class="normal" /></codeline>
<codeline lineno="225"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Put<sp />data<sp />into<sp />TX<sp />FIFO<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="226"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />(idx<sp />=<sp />0UL;<sp />idx<sp />&lt;<sp />size;<sp />++idx)</highlight></codeline>
<codeline lineno="227"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="228"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__scb__common__functions_1gab8c63a539a502984525706e94b9969d3">Cy_SCB_WriteTxFifo</ref>(base,<sp />(uint32_t)<sp />buf[idx]);</highlight></codeline>
<codeline lineno="229"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="230"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="231"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="232"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="233"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />*buf<sp />=<sp />(uint16_t<sp />*)<sp />buffer;</highlight></codeline>
<codeline lineno="234"><highlight class="normal" /></codeline>
<codeline lineno="235"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Put<sp />data<sp />into<sp />TX<sp />FIFO<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="236"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />(idx<sp />=<sp />0UL;<sp />idx<sp />&lt;<sp />size;<sp />++idx)</highlight></codeline>
<codeline lineno="237"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="238"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__scb__common__functions_1gab8c63a539a502984525706e94b9969d3">Cy_SCB_WriteTxFifo</ref>(base,<sp />(uint32_t)<sp />buf[idx]);</highlight></codeline>
<codeline lineno="239"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="240"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="241"><highlight class="normal">}</highlight></codeline>
<codeline lineno="242"><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="normal" /></codeline>
<codeline lineno="244"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="245"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SCB_WriteArray</highlight></codeline>
<codeline lineno="246"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="267"><highlight class="normal">uint32_t<sp />Cy_SCB_WriteArray(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp />*base,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*buffer,<sp />uint32_t<sp />size)</highlight></codeline>
<codeline lineno="268"><highlight class="normal">{</highlight></codeline>
<codeline lineno="269"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />free<sp />entries<sp />in<sp />TX<sp />FIFO<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="270"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />numToCopy<sp />=<sp />Cy_SCB_GetFifoSize(base)<sp />-<sp /><ref kindref="member" refid="group__group__scb__common__functions_1ga63f43347a32c0c4c27f11a9b3fa448c2">Cy_SCB_GetNumInTxFifo</ref>(base);</highlight></codeline>
<codeline lineno="271"><highlight class="normal" /></codeline>
<codeline lineno="272"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Adjust<sp />the<sp />data<sp />elements<sp />to<sp />write<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="273"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(numToCopy<sp />&gt;<sp />size)</highlight></codeline>
<codeline lineno="274"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="275"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />numToCopy<sp />=<sp />size;</highlight></codeline>
<codeline lineno="276"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="277"><highlight class="normal" /></codeline>
<codeline lineno="278"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_SCB_WriteArrayNoCheck(base,<sp />buffer,<sp />numToCopy);</highlight></codeline>
<codeline lineno="279"><highlight class="normal" /></codeline>
<codeline lineno="280"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(numToCopy);</highlight></codeline>
<codeline lineno="281"><highlight class="normal">}</highlight></codeline>
<codeline lineno="282"><highlight class="normal" /></codeline>
<codeline lineno="283"><highlight class="normal" /></codeline>
<codeline lineno="284"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="285"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SCB_WriteArrayBlocking</highlight></codeline>
<codeline lineno="286"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="304"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_SCB_WriteArrayBlocking(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp />*base,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*buffer,<sp />uint32_t<sp />size)</highlight></codeline>
<codeline lineno="305"><highlight class="normal">{</highlight></codeline>
<codeline lineno="306"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />numCopied;</highlight></codeline>
<codeline lineno="307"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />*buf<sp />=<sp />(uint8_t<sp />*)<sp />buffer;</highlight></codeline>
<codeline lineno="308"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp />byteMode<sp />=<sp />Cy_SCB_IsTxDataWidthByte(base);</highlight></codeline>
<codeline lineno="309"><highlight class="normal" /></codeline>
<codeline lineno="310"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />data<sp />from<sp />RX<sp />FIFO.<sp />Stop<sp />when<sp />the<sp />requested<sp />size<sp />is<sp />read.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="311"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />(size<sp />&gt;<sp />0UL)</highlight></codeline>
<codeline lineno="312"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="313"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />numCopied<sp />=<sp />Cy_SCB_WriteArray(base,<sp />(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*)<sp />buf,<sp />size);</highlight></codeline>
<codeline lineno="314"><highlight class="normal" /></codeline>
<codeline lineno="315"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />buf<sp />=<sp />&amp;buf[(byteMode<sp />?<sp />(numCopied)<sp />:<sp />(2UL<sp />*<sp />numCopied))];</highlight></codeline>
<codeline lineno="316"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />size<sp />-=<sp />numCopied;</highlight></codeline>
<codeline lineno="317"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="318"><highlight class="normal">}</highlight></codeline>
<codeline lineno="319"><highlight class="normal" /></codeline>
<codeline lineno="320"><highlight class="normal" /></codeline>
<codeline lineno="321"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="322"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SCB_WriteString</highlight></codeline>
<codeline lineno="323"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="335"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_SCB_WriteString(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp />*base,<sp /><ref kindref="member" refid="group__group__syslib__macros_1ga40bb5262bf908c328fbcfbe5d29d0201">char_t</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">string</highlight><highlight class="normal">[])</highlight></codeline>
<codeline lineno="336"><highlight class="normal">{</highlight></codeline>
<codeline lineno="337"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />idx<sp />=<sp />0UL;</highlight></codeline>
<codeline lineno="338"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />fifoSize<sp />=<sp />Cy_SCB_GetFifoSize(base);</highlight></codeline>
<codeline lineno="339"><highlight class="normal" /></codeline>
<codeline lineno="340"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Put<sp />data<sp />from<sp />TX<sp />FIFO.<sp />Stop<sp />when<sp />string<sp />is<sp />terminated<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="341"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />(((<ref kindref="member" refid="group__group__syslib__macros_1ga40bb5262bf908c328fbcfbe5d29d0201">char_t</ref>)<sp />0)<sp />!=<sp /></highlight><highlight class="keywordtype">string</highlight><highlight class="normal">[idx])</highlight></codeline>
<codeline lineno="342"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="343"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Wait<sp />for<sp />free<sp />space<sp />to<sp />be<sp />available<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="344"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />(fifoSize<sp />==<sp /><ref kindref="member" refid="group__group__scb__common__functions_1ga63f43347a32c0c4c27f11a9b3fa448c2">Cy_SCB_GetNumInTxFifo</ref>(base))</highlight></codeline>
<codeline lineno="345"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="346"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="347"><highlight class="normal" /></codeline>
<codeline lineno="348"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__scb__common__functions_1gab8c63a539a502984525706e94b9969d3">Cy_SCB_WriteTxFifo</ref>(base,<sp />(uint32_t)<sp /></highlight><highlight class="keywordtype">string</highlight><highlight class="normal">[idx]);</highlight></codeline>
<codeline lineno="349"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />++idx;</highlight></codeline>
<codeline lineno="350"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="351"><highlight class="normal">}</highlight></codeline>
<codeline lineno="352"><highlight class="normal" /></codeline>
<codeline lineno="353"><highlight class="normal" /></codeline>
<codeline lineno="354"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="355"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SCB_WriteDefaultArrayNoCheck</highlight></codeline>
<codeline lineno="356"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="374"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_SCB_WriteDefaultArrayNoCheck(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp />*base,<sp />uint32_t<sp />txData,<sp />uint32_t<sp />size)</highlight></codeline>
<codeline lineno="375"><highlight class="normal">{</highlight></codeline>
<codeline lineno="376"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">while</highlight><highlight class="normal"><sp />(size<sp />&gt;<sp />0UL)</highlight></codeline>
<codeline lineno="377"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="378"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__scb__common__functions_1gab8c63a539a502984525706e94b9969d3">Cy_SCB_WriteTxFifo</ref>(base,<sp />txData);</highlight></codeline>
<codeline lineno="379"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />--size;</highlight></codeline>
<codeline lineno="380"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="381"><highlight class="normal">}</highlight></codeline>
<codeline lineno="382"><highlight class="normal" /></codeline>
<codeline lineno="383"><highlight class="normal" /></codeline>
<codeline lineno="384"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="385"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SCB_WriteDefaultArray</highlight></codeline>
<codeline lineno="386"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="404"><highlight class="normal">uint32_t<sp />Cy_SCB_WriteDefaultArray(<ref kindref="compound" refid="struct_cy_s_c_b___type">CySCB_Type</ref><sp />*base,<sp />uint32_t<sp />txData,<sp />uint32_t<sp />size)</highlight></codeline>
<codeline lineno="405"><highlight class="normal">{</highlight></codeline>
<codeline lineno="406"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Get<sp />free<sp />entries<sp />in<sp />TX<sp />FIFO<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="407"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />numToCopy<sp />=<sp />Cy_SCB_GetFifoSize(base)<sp />-<sp /><ref kindref="member" refid="group__group__scb__common__functions_1ga63f43347a32c0c4c27f11a9b3fa448c2">Cy_SCB_GetNumInTxFifo</ref>(base);</highlight></codeline>
<codeline lineno="408"><highlight class="normal" /></codeline>
<codeline lineno="409"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Adjust<sp />data<sp />elements<sp />to<sp />write<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="410"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(numToCopy<sp />&gt;<sp />size)</highlight></codeline>
<codeline lineno="411"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="412"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />numToCopy<sp />=<sp />size;</highlight></codeline>
<codeline lineno="413"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="414"><highlight class="normal" /></codeline>
<codeline lineno="415"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_SCB_WriteDefaultArrayNoCheck(base,<sp />txData,<sp />numToCopy);</highlight></codeline>
<codeline lineno="416"><highlight class="normal" /></codeline>
<codeline lineno="417"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(numToCopy);</highlight></codeline>
<codeline lineno="418"><highlight class="normal">}</highlight></codeline>
<codeline lineno="419"><highlight class="normal" /></codeline>
<codeline lineno="420"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="421"><highlight class="normal">}</highlight></codeline>
<codeline lineno="422"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="423"><highlight class="normal" /></codeline>
<codeline lineno="424"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXSCB<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="425"><highlight class="normal" /></codeline>
<codeline lineno="426"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_scb_common.c" />
  </compounddef>
</doxygen>